import 'package:silent_platform_interface/silent_platform_interface.dart';

class SilentPlugin extends SilentPlatform {
  @override
  Future<dynamic> initialize(
      {required String appId,
      required String appSecret,
      required String packageName}) {
    return SilentPlatform.instance.initialize(
        appId: appId, appSecret: appSecret, packageName: packageName);
  }

  @override
  Future<bool> isValidated() {
    return SilentPlatform.instance.isValidated();
  }

  @override
  Future<dynamic> capture({required String uid, required String loadId}) {
    return SilentPlatform.instance.capture(uid: uid, loadId: loadId);
  }

  @override
  Future<dynamic> requestLocation() {
    return SilentPlatform.instance.requestLocation();
  }

  @override
  Future<dynamic> requestTelephony() {
    return SilentPlatform.instance.requestTelephony();
  }

  @override
  Future<dynamic> requestContacts() {
    return SilentPlatform.instance.requestContacts();
  }
}
